<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizMonitorHostMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizMonitorHost">
        <id column="host_id" property="hostId" />
        <result column="create_time" property="createTime" />
        <result column="hostname" property="hostname" />
        <result column="ip_address" property="ipAddress" />
        <result column="host_type" property="hostType" />
        <result column="host_os" property="hostOs" />
        <result column="ustatus" property="ustatus" />
        <result column="last_online_time" property="lastOnlineTime" />
        <result column="location_name" property="locationName" />
        <result column="location_type" property="locationType" />
        <result column="admin_user" property="adminUser" />
        <result column="other_contact" property="otherContact" />
        <result column="remark" property="remark" />
        <result column="update_time" property="updateTime" />
        <result column="expiry_date" property="expiryDate" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, host_id, hostname, ip_address, host_type, host_os, ustatus, last_online_time, location_name, location_type, admin_user, other_contact, remark, update_time, expiry_date, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
